com.holonplatform.vaadin.flow.components

## Interface Input.PropertyHandler<P,T,V extends com.vaadin.flow.component.HasValue<?,T>,C extends com.vaadin.flow.component.Component>

- Type Parameters:
    `P` - Property value type
    `T` - Input value type
    `V` - `HasValue` type
    `C` - `Component` type
  All Superinterfaces:
    BiFunction<V,C,P>, com.holonplatform.core.operation.TriConsumer<V,C,P>
  Enclosing interface:
    Input<T>

      public static interface Input.PropertyHandler<P,T,V extends com.vaadin.flow.component.HasValue<?,T>,C extends com.vaadin.flow.component.Component>
      extends BiFunction<V,C,P>, com.holonplatform.core.operation.TriConsumer<V,C,P>

  Input field/component property handler.
  See Also:
    `HasValueInputBuilder`

- - ### Method Summary

    All Methods Static Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <P,T,V extends com.vaadin.flow.component.HasValue<?,T>,C extends com.vaadin.flow.component.Component> Input.PropertyHandler<P,T,V,C>` | `create(BiFunction<V,C,P> getter, com.holonplatform.core.operation.TriConsumer<V,C,P> setter)` Create a new `Input.PropertyHandler` using given `getter` to get the property value and given `setter` to set the property value

    - ### Methods inherited from interface java.util.function.BiFunction

      `andThen, apply`

    - ### Methods inherited from interface com.holonplatform.core.operation.TriConsumer

      `accept`

- - ### Method Detail

    - #### create

          static <P,T,V extends com.vaadin.flow.component.HasValue<?,T>,C extends com.vaadin.flow.component.Component> Input.PropertyHandler<P,T,V,C> create(BiFunction<V,C,P> getter,
                                                                                                                                                             com.holonplatform.core.operation.TriConsumer<V,C,P> setter)

      Create a new `Input.PropertyHandler` using given `getter` to get the property value and given `setter` to set the property value
      Type Parameters:
        `P` - Property value type
        `T` - Input value type
        `V` - `HasValue` type
        `C` - `Component` type
      Parameters:
        `getter` - A `BiFunction` to get the property value (not null)
        `setter` - A `TriConsumer` to set the property value (not null)
      Returns:
        A new `Input.PropertyHandler`

Copyright © 2019 The Holon Platform. All rights reserved.